sayren Docs
스토어 설정

이메일·비밀번호 로그인 켜기·끄기

끄면 스토어프론트의 이메일·비밀번호 가입·로그인이 403 `PASSWORD_LOGIN_DISABLED`다. 비밀번호로만 로그인하는 구매자는 로그인할 수 없게 되므로 `passwordOnlyMemberCount`를 먼저 확인한다.

PATCH
/v1/store/login-settings

끄면 스토어프론트의 이메일·비밀번호 가입·로그인이 403 PASSWORD_LOGIN_DISABLED다. 비밀번호로만 로그인하는 구매자는 로그인할 수 없게 되므로 passwordOnlyMemberCount를 먼저 확인한다.

AuthorizationBearer <token>

userToken(계정 스코프) 또는 storeToken(스토어 스코프)

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

passwordLoginEnabled*boolean

Response Body

application/json

curl -X PATCH "https://example.com/v1/store/login-settings" \  -H "Content-Type: application/json" \  -d '{    "passwordLoginEnabled": true  }'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "passwordLoginEnabled": true,    "passwordOnlyMemberCount": 0,    "storefrontOrigins": [      "string"    ],    "providers": [      {        "provider": "kakao",        "connected": true,        "enabled": true,        "clientIdPrefix": "string",        "secretPrefix": "string",        "lastTestedAt": "string",        "lastTestOk": true,        "linkedMemberCount": 0,        "onlyMethodMemberCount": 0,        "callbackUrl": "http://example.com"      }    ]  },  "error": null}